cURL
curl --request GET \
--url https://api.growi.io/api/public/v1/stats/content_platform_composition \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.growi.io/api/public/v1/stats/content_platform_composition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growi.io/api/public/v1/stats/content_platform_composition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"error": "<string>",
"message": "<string>"
}Stats API
Get Content Platform Composition
Retrieves a breakdown of content by platform within a specified date range
GET
/
stats
/
content_platform_composition
cURL
Retrieves a breakdown of content by platform within a specified date range.
Request Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
start_date | String | Start date in MM/DD/YYYY format | Yes |
end_date | String | End date in MM/DD/YYYY format | Yes |
limit | Integer | Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data. | No |
Request Example
curl -X GET "https://api.growi.io/api/public/v1/stats/content_platform_composition?start_date=01/01/2023&end_date=01/31/2023" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
Response Example
{
"success": true,
"data": {
"content_platform_composition": {
"tik_tok": 216,
"instagram": 416,
"twitter": 2,
"youtube": 0,
"unknown": 2
}
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date in MM/DD/YYYY format
End date in MM/DD/YYYY format
Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data.
⌘I